@import '../../css/colors.css';
@import "../../css/units.css";


.modToolSelect {
    display: inline-block;
    margin: var(--grid-unit);
    border: none;
    border-radius: var(--border-radius);
    outline: none;
    background: none;
    padding: var(--grid-unit);
    font-size: 0.85rem;
    transition: 0.2s;
}

.modToolSelect.isSelected {
    background-color: var(--motion-primary);
}

.modToolSelect:focus {
    outline: none;
}

img.toolSelectIcon {
    width: 2rem;
    height: 2rem;
    flex-grow: 1;
    vertical-align: middle;
}

.modToolSelect.isSelected .toolSelectIcon {
    /* Make the tool icons white while selected by making them black and inverting */
    filter: brightness(0) invert(1);
}

@media only screen and (max-width: var(--full-size-paint)) {
    .modToolSelect {
        margin: 0;
    }
}
